using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class UpdatetableCandidateaddseatnumber : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "status",
                table: "Candidates",
                newName: "Status");

            migrationBuilder.AddColumn<string>(
                name: "SeatNumber",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "เลขที่นั่งสอบ")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "SeatNumber",
                table: "Candidates");

            migrationBuilder.RenameColumn(
                name: "Status",
                table: "Candidates",
                newName: "status");
        }
    }
}
